Bug 1518950 - ovirt-log-collector-analyzer: sosreport-foobar-Logcollector-9175126/dev/null: Cannot mknod: Operation not permitted\ntar: Exiting with failure status due to previous errors
Summary: ovirt-log-collector-analyzer: sosreport-foobar-Logcollector-9175126/dev/null:...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-log-collector
Classification: oVirt
Component: General
Version: 4.2.0
Hardware: All
OS: All
medium
high
Target Milestone: ovirt-4.2.2
: 4.2.3
Assignee: Douglas Schilling Landgraf
QA Contact: David Necpal
URL:
Whiteboard:
Depends On:
Blocks: 1456888
TreeView+ depends on / blocked
 
Reported: 2017-11-29 21:09 UTC by Douglas Schilling Landgraf
Modified: 2018-03-29 10:53 UTC (History)
7 users (show)

Fixed In Version: ovirt-log-collector-4.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-29 10:53:29 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2?
rule-engine: ovirt-4.3?
rule-engine: planning_ack?
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 85828 master MERGED unpackAndPrepareDump: use --exclude to /dev, /sys, /proc 2020-07-07 20:46:06 UTC
oVirt gerrit 85830 ovirt-log-collector-4.2 MERGED unpackAndPrepareDump: use --exclude to /dev, /sys, /proc 2020-07-07 20:46:06 UTC

Description Douglas Schilling Landgraf 2017-11-29 21:09:21 UTC
Description of problem:

We should be able to continue in cases like that and avoid ask users to
untar the sosreport change the permissions of the files (or remove) and tar again
so analyzer can continue. This is related to #/bin/bash -e on top of the scripts.

Comment 2 David Necpal 2018-02-22 15:13:19 UTC
Hello Douglas, 

can you provide verification steps, please?

Comment 3 Douglas Schilling Landgraf 2018-02-22 15:31:53 UTC
(In reply to David Necpal from comment #2)
> Hello Douglas, 
> 
> can you provide verification steps, please?

Please try to use ovirt-log-collector-analyzer against the sosreport provided 
by comment#1. The tool should not fail with error:
    "dev/null: Cannot mknod: Operation not permitted\ntar: Exiting with failure status due to "

Comment 4 David Necpal 2018-02-23 15:33:29 UTC
Verified based on suggested steps from comment#3 against the sosreport provided by comment#1 on version ovirt-log-collector-analyzer-4.2.4-1.el7ev.noarch

Comment 5 Sandro Bonazzola 2018-03-29 10:53:29 UTC
This bugzilla is included in oVirt 4.2.2 release, published on March 28th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.2 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.